<?php
/**
 * Scroll article excerpt
 *
 * @package 	Scroll article excerpt
 * @subpackage 	mod_scroll_article_excerpt
 * @version   	4.0
 * @author    	Gopi Ramasamy
 * @copyright   Copyright (C) 2010 - 2021 www.gopiplus.com. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 *
 * http://www.gopiplus.com/extensions/2011/09/scroll-article-excerpt-joomla-module/
 */
 
defined('_JEXEC') or die;

use Joomla\CMS\Helper\ModuleHelper;
use Joomla\Module\ScrollArticleExcerpt\Site\Helper\ScrollArticleExcerptHelper;

$modbase 	= JURI::base(true).'/modules/mod_scroll_article_excerpt/';
$document 	= JFactory::getDocument();
$document->addScript ($modbase.'mod_scroll_article_excerpt.js');	

$items 		= ScrollArticleExcerptHelper::getArticleList($params);

require ModuleHelper::getLayoutPath('mod_scroll_article_excerpt', $params->get('layout', 'default'));